gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecLong

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for long integer properties.

Synopsis

- newtype ParamSpecLong = ParamSpecLong (ManagedPtr ParamSpecLong)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecLong o) => IsParamSpecLong o
- toParamSpecLong :: (MonadIO m, IsParamSpecLong o) => o -> m ParamSpecLong

# Exported types

newtype ParamSpecLong Source #

Memory-managed wrapper type.

Constructors

ParamSpecLong (ManagedPtr ParamSpecLong) |

#### Instances

Instances details

Eq ParamSpecLong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecLong Methods (==) :: ParamSpecLong -> ParamSpecLong -> Bool Source # (/=) :: ParamSpecLong -> ParamSpecLong -> Bool Source #
BoxedPtr ParamSpecLong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecLong Methods boxedPtrCopy :: ParamSpecLong -> IO ParamSpecLong Source # boxedPtrFree :: ParamSpecLong -> IO () Source #
ManagedPtrNewtype ParamSpecLong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecLong Methods toManagedPtr :: ParamSpecLong -> ManagedPtr ParamSpecLong Source #
TypedObject ParamSpecLong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecLong Methods glibType :: IO GType Source #
HasParentTypes ParamSpecLong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecLong
type ParentTypes ParamSpecLong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecLong type ParentTypes ParamSpecLong = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecLong o) => IsParamSpecLong o Source #

Type class for types which can be safely cast to `ParamSpecLong`, for instance with `toParamSpecLong`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecLong o) => IsParamSpecLong o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecLong

toParamSpecLong :: (MonadIO m, IsParamSpecLong o) => o -> m ParamSpecLong Source #

Cast to `ParamSpecLong`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.